3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { throw new FooException('foo'); } catch (FooException $e) { throw new BarException('bar'); } catch (BarException $e) { echo 'hallo!'; }
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Error: Class 'FooException' not found in /in/hHv78:4 Stack trace: #0 {main} thrown in /in/hHv78 on line 4
Process exited with code 255.
Output for 5.0.0 - 5.6.25
Fatal error: Class 'FooException' not found in /in/hHv78 on line 4
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/hHv78 on line 3
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/hHv78 on line 3
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/hHv78 on line 3
Process exited with code 255.